#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

bool poredi(int prvi, int drugi)
{
    return prvi < drugi;
}

vector<int> unija(vector<int> skup1, vector<int> skup2)
{
    int p1 = 0;
    int p2 = 0;
    
    int n1 = skup1.size();
    int n2 = skup2.size();
    
    vector<int> u;
    
    while(p1 < n1 && p2 < n2)
    {
        if(skup1[p1] < skup2[p2])
        {
            u.push_back(skup1[p1]);
            p1++;
        }
        else if(skup1[p1] > skup2[p2])
        {
            u.push_back(skup2[p2]);
            p2++;
        }
        else
        {
            u.push_back(skup1[p1]);
            p1++;
            p2++;
        }
    }
    
    while(p1 < n1)
        u.push_back(skup1[p1++]);
    
    while(p2 < n2)
        u.push_back(skup2[p2++]);
    
    return u;
}

vector<int> presek(vector<int> skup1, vector<int> skup2)
{
    int p1 = 0;
    int p2 = 0;
    
    int n1 = skup1.size();
    int n2 = skup2.size();
    
    vector<int> p;
    
    while(p1 < n1 && p2 < n2)
    {
        if(skup1[p1] < skup2[p2])
        {
            p1++;
        }
        else if(skup1[p1] > skup2[p2])
        {
            p2++;
        }
        else
        {
            p.push_back(skup1[p1]);
            p1++;
            p2++;
        }
    }
    
    return p;
}

vector<int> razlika(vector<int> skup1, vector<int> skup2)
{
    int p1 = 0;
    int p2 = 0;
    
    int n1 = skup1.size();
    int n2 = skup2.size();
    
    vector<int> r;
    
    while(p1 < n1 && p2 < n2)
    {
        if(skup1[p1] < skup2[p2])
        {
            r.push_back(skup1[p1]);
            p1++;
        }
        else if(skup1[p1] > skup2[p2])
        {
            p2++;
        }
        else
        {
            p1++;
            p2++;
        }
    }
    
    while(p1 < n1)
        r.push_back(skup1[p1]);
    
    return r;
}

int main()
{
    vector<int> skup1;
    vector<int> skup2;
    
    int n1, n2;
    
    cin >> n1;
    
    if(n1 <= 0)
        return -1;
    
    skup1.resize(n1);
    
    for(int i = 0; i < n1; i++)
        cin >> skup1[i];
    
    cin >> n2;
    
    if(n2 <= 0)
        return -1;
    
    skup2.resize(n2);
    
    for(int i = 0; i < n2; i++)
        cin >> skup2[i];
    
        
    sort(skup1.begin(), skup1.end(), poredi);
    sort(skup2.begin(), skup2.end(), poredi);
    
    
    vector<int> u;
    vector<int> p;
    vector<int> r;
    
    u = unija(skup1, skup2);
    p = presek(skup1, skup2);
    r = razlika(skup1, skup2);
 
    for(int i = 0; i < u.size(); i++)
        cout << u[i] << " ";    
    
    cout << endl;
    
    for(int i = 0; i < p.size(); i++)
        cout << p[i] << " ";    
    
    cout << endl;
    
    for(int i = 0; i < r.size(); i++)
        cout << r[i] << " ";    
    
    cout << endl;
    
    return 0;
}